%define iconname xfmedia.png

Summary:	Xfmedia is a media player for Xfce
Name:		xfmedia
Version:	0.9.2
Release:	%mkrel 2
License:	BSD
Group:		Video
URL: 		http://www.spuriousinterrupt.org/projects/xfmedia/files/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	glib2-devel >= 2.0.6
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	libxine-devel 
BuildRequires:	startup-notification-devel
BuildRequires:	exo-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	taglib-devel
BuildRequires:	dbus-devel
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfmedia is a media player for Xfce.

%package -n %{name}-devel
Summary:	Xfmedia is a media player for Xfce
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-devel
Header files needed for developing with Xfmedia.

%prep
%setup -q 

%build
%configure2_5x \
	--enable-dbus

%install
rm -rf %{buildroot}

%makeinstall_std   

%find_lang %{name}

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --remove-category="AudioPlayer" \
    --remove-category="VideoPlayer" \
    --add-category="GTK" \
    --add-category="Player" \
    --add-category="X-MandrivaLinux-Multimedia-Video" \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*  

%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README README.remote ChangeLog COPYING AUTHORS NEWS
%{_bindir}/* 
%config(noreplace) %{_sysconfdir}/xdg/xfmedia
%dir %{_libdir}/xfmedia
%dir %{_libdir}/xfmedia/plugins
%{_libdir}/xfmedia/plugins/*.so
%{_iconsdir}/hicolor/*
%{_datadir}/applications/xfmedia.desktop
%{_datadir}/xfmedia

%files -n %{name}-devel
%defattr(-,root,root)
%doc README.plugins
%{_includedir}/%{name}
%{_libdir}/xfmedia/plugins/*a
%{_libdir}/pkgconfig/xfmedia-plugin.pc


%changelog
* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.2-2mdv2007.1
+ Revision: 33133
- add buildrequires on desktop-file-utils
- add macros in %%post and %%postun
- drop __libtoolize and __cputoolize
- drop prequires on ImageMagick
- spec file clean

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Explicitly add Dbus support


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.2-1mdv2007.0
+ Revision: 103210
- Remove patch0 and update xfmedia
- Import xfmedia

* Sun Jun 25 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.1-4mdv2007.0
- rebuild
- xdg

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-3mdk
- Patch0: dbus 0.60 support

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-2mdk
- Rebuild with latest dbus

* Thu Sep 15 2005 Marcel Pol <mpol@mandriva.org> 0.9.1-1mdk
- 0.9.1, fixes segfault with gtk+-2.8

* Tue Sep 13 2005 Marcel Pol <mpol@mandriva.org> 0.9.0-1mdk
- 0.9.0
- build against taglib
- remove unneeded devel files

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.8.0-2mdk
- buildrequires perl-XML-Parser
- %%mkrel

* Mon Jun 13 2005 Couriousous <couriousous@mandriva.org> 0.8.0-1mdk
- Some spec fixes
- From trem@zarb.org:
	- 0.8.0
	- add exo-devel in BuildRequires

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.7.1-1mdk
- 0.7.1
- update file list

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.6.0-3mdk
- group Video is better

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.6.0-2mdk
- group: Graphical desktop/Xfce

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.6.0-1mdk
- 0.6.0
- fix typo in BR and add ImageMagick
- add devel pkg
- to prevent sanity check failure do not use configure marco
- create menu entry and icons

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 0.5.0-1mdk
- initial package

